<form [formGroup]="userForm">
  <p-accordionTab header="Products" [selected]="true">
    <p-button label="Add product" (onClick)="addProduct()" id="addProduct"></p-button>
    <div formArrayName="products">
      <p-table [value]="userForm.controls.products.value" [rows]="10" [responsive]="true" [rowTrackBy]="trackByFn">
        <ng-template pTemplate="header">
          <tr>
            <th id="productN">Produc name</th>
            <th id="price">Price</th>
            <th id="description">Description</th>
            <th id="action">Action</th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" pTemplate="body" let-i="rowIndex">
          <tr [formGroupName]='i'>
            <td>
              <input type="text" pInputText formControlName="name" id="name" />
            </td>
            <td>
              <p-inputNumber formControlName="price" id="price"></p-inputNumber>
            </td>
            <td>
              <input type="text" pInputText formControlName="description" id="description" />
            </td>

            <td>
              <p-button label="Remove" (onClick)="removeProduct(i)" id="removeProduct"></p-button>
            </td>
          </tr>
        </ng-template>
      </p-table>

      <button [disabled]="!userForm.valid" class="btn btn-primary" (click)="submitForm()" id="submitForm">Submit</button>
    </div>

  </p-accordionTab>
</form>
